    //#New(backend):                                                 //- [Y]  if new (backend) to add
    //#Init_Base:                                                    //- parameter to add at launch of library in case of backend
    //#Init_Include:                                                 //- function added at initialization (it can be Loop_Base)
    //#Loop_Base:                                                    //- function launched at loop start and activation callback function on event
    //#Loop1_Event:                                                  //- event to monitor in a loop
    //#Loop1_Config: SubVoid_Void  0 DataAvailableSub                //- parameters of callback created: CallbackType EndPar callbacksub
    //#Loop2_Event:                                                  //- event to monitor in a loop
    //#Loop2_Config: SubVoid_Void  0 DataAvailableSub                //- parameters of callback created: CallbackType EndPar callbacksub
    //#Loop3_Event:                                                  //- event to monitor in a loop
    //#Loop3_Config: SubVoid_Void  0 DataAvailableSub                //- parameters of callback created: CallbackType EndPar callbacksub
    //#CallBack1_Base:                                               //- callback on arduino side
    //#CallBack1_Config: SubVoid_BArray 0 MessageArrivedSub          //- CallbackType Par1 EndPar callbacksub
    //#CallBack2_Base:                                               //- callback on arduino side
    //#CallBack2_Config: SubVoid_StringBArray 0 2 NewMessageSub      //- CallbackType Par1 Par2 EndPar callbacksub
    //#CallBack3_Base:                                               //- callback on arduino side
    //#CallBack3_Config: SubVoid_StringBArray 0 2 NewMessageSub      //- CallbackType Par1 Par2 EndPar callbacksub
    //#

#include "B4RDefines.h"
#include "rESP8266FtpServer.h"

namespace B4R
{

    FtpServer ftpserver;
                                
    void B4RFtpServer::begin(B4RString* uname, B4RString* pword)
    {
       WiFi.begin("Livebox-XXXX","XXXXXXXXXX");
 //      if ( WiFi.begin("Livebox-XXXX","XXXXXXXXXW")) {rcs->serialprintln("wifi begin OK");} else  {rcs->serialprintln("wifi begin NOK");};
       delay(4000);
       ftpserver.serialprintln(WiFi.localIP().toString().c_str());
       if (WiFi.status() != WL_CONNECTED) {ftpserver.serialprintln("wifi not connected");}else { ftpserver.serialprintln("wifi connected");};  
       if (SPIFFS.begin()) {ftpserver.serialprintln("SPIFFS connected");}
       ftpserver.begin(uname->data, pword->data);
    }

    void B4RFtpServer::handleFTP()
    {
       ftpserver.handleFTP();
    }

}
